- Qt 6.5
- Qt 3D
- QML Types
- Qt3D.Extras
- CylinderMesh
- Qt 6.5.1 Reference Documentation

# CylinderMesh QML Type

A cylindrical mesh. More...

Import Statement: | import Qt3D.Extras 2.5
Instantiates: | QCylinderMesh

- List of all members, including inherited members

## Properties

- length : real
- radius : real
- rings : int
- slices : int

## Detailed Description

## Property Documentation

length : real

Holds the length of the cylinder.

radius : real

Holds the radius of the cylinder.

rings : int

Holds the number of rings in the mesh.

slices : int

Holds the number of slices in the mesh.